import { JSONObject } from '@alilc/lowcode-datasource-types/src/value-type';
import { InterpretDataSourceConfig } from "@alilc/lowcode-types";
/**
 * 请求头处理
 * @param headers 请求头
 */
export declare function requestHeaderHandler(headers: JSONObject): string;
/**
 * 请求体处理
 * @param params 请求体
 */
export declare function requestParamsHandler(params: JSONObject): string;
/**
 * 请求结果处理
 */
export declare function requestAfterDataHandler(): void;
/**
 * 是否是js表达式
 * @param value
 */
export declare function isJsExpression(value: any): boolean;
/**
 * 将线上地址转为出码后的请求地址
 * @param dataSourceConfig
 */
export declare function handleUrl(dataSourceConfig: InterpretDataSourceConfig): string | import("@alilc/lowcode-types").JSExpression | undefined;
